# Dovecot setup

NOTE: THIS SETUP DOESN'T HANDLE PER-DOMAIN USERS

First create the database and the tables by importing base.sql
Then change the password with `ALTER ROLE dovecot PASSWORD '...';`

Adding users:

1. Hash the password with `doveadm pw -s ARGON2I`
2. Add the user:
```
INSERT INTO users ( userid, password, active ) VALUES (
	'boss',
	'...',
	'1'
);
```
3. Add a alias for the user:
```
INSERT INTO aliases ( target, alias, active ) VALUES (
	'boss',
	'management',
	'1'
);
```
